package com.sun.security.auth;

import java.security.AccessController;
import java.security.PrivilegedAction;
import java.util.ResourceBundle;
import jdk.Exported;
import java.io.Serializable;
import java.security.Principal;

@Exported(false)
@Deprecated
public class SolarisNumericUserPrincipal implements Principal, Serializable
{
    private static final long serialVersionUID = -3178578484679887104L;
    private static final ResourceBundle rb;
    private String name;
    
    public SolarisNumericUserPrincipal(String name) {
        if (name == null) {
            throw new NullPointerException(SolarisNumericUserPrincipal.rb.getString("provided.null.name"));
        }
        this.name = name;
        return;
    }
    
    public SolarisNumericUserPrincipal(long value) {
        this.name = new Long(value).toString();
    }
    
    @Override
    public String getName() {
        return this.name;
    }
    
    public long longValue() {
        return (long)new Long(this.name);
    }
    
    @Override
    public String toString() {
        return SolarisNumericUserPrincipal.rb.getString("SolarisNumericUserPrincipal.") + this.name;
    }
    
    @Override
    public boolean equals(Object o) {
        return o != null && (this == o || (o instanceof SolarisNumericUserPrincipal && this.getName().equals(((SolarisNumericUserPrincipal)o).getName())));
    }
    
    @Override
    public int hashCode() {
        return this.name.hashCode();
    }
    
    static {
        rb = (ResourceBundle)AccessController.doPrivileged(new PrivilegedAction<ResourceBundle>() {
            @Override
            public ResourceBundle run() {
                return ResourceBundle.getBundle("sun.security.util.AuthResources");
            }
        });
    }
}
